Index: /ipk/source/bootlogos_bikergirl_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_bikergirl_0_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/bootlogos_bikergirl_0_1/CONTROL/preinst	(revision 3680)
@@ -6,15 +6,15 @@
 
 model=`cat /etc/model`
-	echo""
-	echo "Checking your Boxtype...."
-	echo "Some Plugins will not work correctly on your $model!"
-	echo ""
-	if [ "$model" = "" ]; then
-		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
-		echo "Aborting installation..."
-		exit 1
-	else
-		echo "$model OK"
-	fi
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/browsers_elektro_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/browsers_elektro_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/browsers_elektro_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/browsers_werbezapper_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/browsers_werbezapper_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/browsers_werbezapper_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/browsers_zaphistorybrowser_1_2/CONTROL/preinst
===================================================================
--- /ipk/source/browsers_zaphistorybrowser_1_2/CONTROL/preinst	(revision 3679)
+++ /ipk/source/browsers_zaphistorybrowser_1_2/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/editors_moviecutlistcollection_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/editors_moviecutlistcollection_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/editors_moviecutlistcollection_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/editors_movieretitle_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/editors_movieretitle_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/editors_movieretitle_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_camd3_3_902/CONTROL/preinst
===================================================================
--- /ipk/source/emus_camd3_3_902/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_camd3_3_902/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_55/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_55/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_55/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_82/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_82/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_82/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_83/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_83/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_83/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_85/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_85/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_85/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_86/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_86/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_86/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_87/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_87/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_87/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_88/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_88/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_88/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_89/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_89/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_89/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_90/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_90/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_90/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_92/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_92/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_92/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_93/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_93/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_93/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_94/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_94/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_94/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_95/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_95/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_95/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_96/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_96/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_96/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_incubuscamd_0_97/CONTROL/preinst
===================================================================
--- /ipk/source/emus_incubuscamd_0_97/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_incubuscamd_0_97/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_kbox_1_01pre24/CONTROL/preinst
===================================================================
--- /ipk/source/emus_kbox_1_01pre24/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_kbox_1_01pre24/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_mbox0.4_0023/CONTROL/preinst
===================================================================
--- /ipk/source/emus_mbox0.4_0023/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_mbox0.4_0023/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_mbox0.6_0006/CONTROL/preinst
===================================================================
--- /ipk/source/emus_mbox0.6_0006/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_mbox0.6_0006/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_mbox0.6_0010/CONTROL/preinst
===================================================================
--- /ipk/source/emus_mbox0.6_0010/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_mbox0.6_0010/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_mgcamd_1_33/CONTROL/preinst
===================================================================
--- /ipk/source/emus_mgcamd_1_33/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_mgcamd_1_33/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_mgcamd_1_35/CONTROL/preinst
===================================================================
--- /ipk/source/emus_mgcamd_1_35/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_mgcamd_1_35/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_oscam_build2758/CONTROL/preinst
===================================================================
--- /ipk/source/emus_oscam_build2758/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_oscam_build2758/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/emus_vizcam_1_01/CONTROL/preinst
===================================================================
--- /ipk/source/emus_vizcam_1_01/CONTROL/preinst	(revision 3679)
+++ /ipk/source/emus_vizcam_1_01/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/epg_autotimer_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/epg_autotimer_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/epg_autotimer_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/epg_crossepg_0_41_svn38/CONTROL/preinst
===================================================================
--- /ipk/source/epg_crossepg_0_41_svn38/CONTROL/preinst	(revision 3679)
+++ /ipk/source/epg_crossepg_0_41_svn38/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/epg_epgrefresh_2_6/CONTROL/preinst
===================================================================
--- /ipk/source/epg_epgrefresh_2_6/CONTROL/preinst	(revision 3679)
+++ /ipk/source/epg_epgrefresh_2_6/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/fonts_actionmanitalic_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/fonts_actionmanitalic_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/fonts_actionmanitalic_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/fonts_alpharomanieg_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/fonts_alpharomanieg_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/fonts_alpharomanieg_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/fonts_croissant_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/fonts_croissant_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/fonts_croissant_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/fonts_default_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/fonts_default_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/fonts_default_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/fonts_digifaceregular_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/fonts_digifaceregular_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/fonts_digifaceregular_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/fonts_goodtime_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/fonts_goodtime_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/fonts_goodtime_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/fonts_ihatecomicsans_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/fonts_ihatecomicsans_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/fonts_ihatecomicsans_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/fonts_lydianbolditalicbt_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/fonts_lydianbolditalicbt_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/fonts_lydianbolditalicbt_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/fonts_mightyzeocaps_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/fonts_mightyzeocaps_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/fonts_mightyzeocaps_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/fonts_monoglyceridedemibold_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/fonts_monoglyceridedemibold_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/fonts_monoglyceridedemibold_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/fonts_newgothicbt_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/fonts_newgothicbt_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/fonts_newgothicbt_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/fonts_paddingtonbold_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/fonts_paddingtonbold_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/fonts_paddingtonbold_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/fonts_ploverbold_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/fonts_ploverbold_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/fonts_ploverbold_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/games_Sudoku_1_1/CONTROL/preinst
===================================================================
--- /ipk/source/games_Sudoku_1_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/games_Sudoku_1_1/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/infos_buliticker_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/infos_buliticker_0_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/infos_buliticker_0_1/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: /ipk/source/infos_permanentclock_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/infos_permanentclock_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/infos_permanentclock_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/keymaps_default_1_3/CONTROL/preinst
===================================================================
--- /ipk/source/keymaps_default_1_3/CONTROL/preinst	(revision 3679)
+++ /ipk/source/keymaps_default_1_3/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/keymaps_neutrino_1_3/CONTROL/preinst
===================================================================
--- /ipk/source/keymaps_neutrino_1_3/CONTROL/preinst	(revision 3679)
+++ /ipk/source/keymaps_neutrino_1_3/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/keys_camd3kbox_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/keys_camd3kbox_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/keys_camd3kbox_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/keys_incubus_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/keys_incubus_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/keys_incubus_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/keys_mgcamd_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/keys_mgcamd_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/keys_mgcamd_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/keys_oscamextern_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/keys_oscamextern_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/keys_oscamextern_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/keys_oscamintern_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/keys_oscamintern_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/keys_oscamintern_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/keys_vizcam_1_01/CONTROL/preinst
===================================================================
--- /ipk/source/keys_vizcam_1_01/CONTROL/preinst	(revision 3679)
+++ /ipk/source/keys_vizcam_1_01/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/mediacenter_mayhemIIIHD_3_1/CONTROL/preinst
===================================================================
--- /ipk/source/mediacenter_mayhemIIIHD_3_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/mediacenter_mayhemIIIHD_3_1/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/mediacenter_mayhemIIIKS_3_1/CONTROL/preinst
===================================================================
--- /ipk/source/mediacenter_mayhemIIIKS_3_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/mediacenter_mayhemIIIKS_3_1/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/players_mediaplayermod_2_5/CONTROL/preinst
===================================================================
--- /ipk/source/players_mediaplayermod_2_5/CONTROL/preinst	(revision 3679)
+++ /ipk/source/players_mediaplayermod_2_5/CONTROL/preinst	(revision 3680)
@@ -5,4 +5,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/players_webradio_2_4/CONTROL/preinst
===================================================================
--- /ipk/source/players_webradio_2_4/CONTROL/preinst	(revision 3679)
+++ /ipk/source/players_webradio_2_4/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/po_et_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/po_et_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/po_et_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/po_fr_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/po_fr_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/po_fr_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/po_hu_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/po_hu_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/po_hu_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/po_it_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/po_it_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/po_it_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/po_lt_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/po_lt_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/po_lt_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/po_nl_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/po_nl_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/po_nl_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/po_pl_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/po_pl_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/po_pl_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/po_ru_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/po_ru_1_0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/po_ru_1_0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,17 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
 
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
Index: /ipk/source/radiologos_aafmode_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/radiologos_aafmode_0_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/radiologos_aafmode_0_1/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: /ipk/source/radiologos_christmasgirl_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/radiologos_christmasgirl_0_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/radiologos_christmasgirl_0_1/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: /ipk/source/radiologos_dragon_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/radiologos_dragon_0_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/radiologos_dragon_0_1/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: /ipk/source/radiologos_e2radiomode_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/radiologos_e2radiomode_0_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/radiologos_e2radiomode_0_1/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: /ipk/source/radiologos_kopfhoerer_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/radiologos_kopfhoerer_0_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/radiologos_kopfhoerer_0_1/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: /ipk/source/radiologos_kopfhoererbh_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/radiologos_kopfhoererbh_0_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/radiologos_kopfhoererbh_0_1/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: /ipk/source/radiologos_noise_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/radiologos_noise_0_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/radiologos_noise_0_1/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: /ipk/source/radiologos_plattenarm_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/radiologos_plattenarm_0_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/radiologos_plattenarm_0_1/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: /ipk/source/radiologos_sunshinelive_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/radiologos_sunshinelive_0_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/radiologos_sunshinelive_0_1/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: /ipk/source/radiologos_tdtonair_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/radiologos_tdtonair_0_1/CONTROL/preinst	(revision 3679)
+++ /ipk/source/radiologos_tdtonair_0_1/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
Index: /ipk/source/settings_cst_dual_13_19_berlusca_1.0/CONTROL/preinst
===================================================================
--- /ipk/source/settings_cst_dual_13_19_berlusca_1.0/CONTROL/preinst	(revision 3679)
+++ /ipk/source/settings_cst_dual_13_19_berlusca_1.0/CONTROL/preinst	(revision 3680)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 #lamedb 67
 #sattelites 11
